﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using System.Drawing;

namespace WinOptionSetAligment
{
    class MyCreation : IUIElementCreationFilter
    {
        #region IUIElementCreationFilter Members

        public void AfterCreateChildElements(UIElement parent)
        {
            OptionSetOptionButtonUIElement combo = parent as OptionSetOptionButtonUIElement;
            if (combo != null)
            {
                OptionButtonIndicatorUIElement button = (OptionButtonIndicatorUIElement)combo.GetDescendant(typeof(OptionButtonIndicatorUIElement));
                TextUIElement text = (TextUIElement)combo.GetDescendant(typeof(TextUIElement));
                if (text != null && button != null)
                {
                    text.Rect = new Rectangle(button.Rect.Location,
                     text.Rect.Size);
                    button.Rect = new Rectangle(new Point(button.Rect.Location.X + text.Rect.Size.Width, button.Rect.Location.Y),
                      button.Rect.Size);
                    
                }

            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;//throw new NotImplementedException();
        }

        #endregion
    }
}
